<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class StatusAction extends BaseAction
{
    public function run()
    {
        if (!empty($_GET['do']))
        {
            if ('hidden' == trim($_GET['do']))
            {
                $_SESSION['user']['hiddenBugle'] = 1;
            }
            else if ('view' == trim($_GET['do']))
            {
                $_SESSION['user']['hiddenBugle'] = 0;
            }
            $forwardUrl = urldecode(S::gp('url', 'G'));
            iforward($forwardUrl);
        }
    }
}
